Bug 1279089 - Wine64 executable update breaks
Wine64 executable update breaks
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-11-07 15:06 EST by Wilf
Modified: 2016-07-19 15:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-07-19 15:22:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wilf 2015-11-07 15:06:14 EST
Description of problem:
Updated wine, and now things that rely on the `wine` excutable do not work. This includes `winecfg`, `wineconsole`, etc that are provided with it

Version-Release number of selected component (if applicable):
(wine-core?) 1.7.53-1.fc22.x86_64

How reproducible:
Reproducible probably on all Fedora 22 systems with wine installed

Steps to Reproduce:
1. Run updates using DNF or similar, updating to 1.7.53-1.fc22.x86_64 
2. Try programmes that depend on wine.

Actual results:
Wine etc won't run as expected without modification to system.

Expected results:
Wine and programmes that depend on it run normally

Additional info:
This also affects the 64bit build of wine* 1.7.54-1.fc22. The 32bit version is available to run `wine`, but then why have the 64bit wine-* packages?
Comment 1 Wilf 2015-11-07 15:18:31 EST
Sorry just found this issue seem to affect older versions, its the 32bit wine-core version not being installed that is problem - however shouldn't the 64bit wine packages only need wine64 to work, or should they include wine 32bit as a dependency? Exact errors BTW:

$ wine
bash: wine: command not found...
Install package 'wine-core' to provide command 'wine'? [N/y] N

$ winecfg
/usr/bin/winecfg: line 52: exec: wine: not found
$ winefile
/usr/bin/winefile: line 52: exec: wine: not found

Due to having to run various odd programs 32bit linux programs (e.g. one needs a specific libusbx) AND use 64bit wine programs it is difficult for me to install the 32bit wine version without having to build my own. So I think in some ways the 32bit version as depenndcy would fix the above, but may create other issues.
Comment 2 Michael Cronenworth 2015-11-08 13:05:22 EST
Your alternatives links may be disappearing. Reset them with:

# alternatives --config wine
# alternatives --config wineserver
Comment 3 Fedora End Of Life 2016-07-19 15:22:11 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.